#include <ESP8266WiFi.h>
#include <ESP8266SMTP.h>

const char* ssid = "نام مودم";
const char* password = "پسورد";
boolean state = false;
String text = "متن پیام ایمیل مورد نظر را اینجا وارد کنید.";
void setup()
{
  Serial.begin(9600);
  delay(1000);
  pinMode(2, INPUT);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED)
  {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.print("Connected to ");
  Serial.println(ssid);
  Serial.print("IP address: ");
  Serial.println(WiFi.localIP());
}

void loop()
{
  state = digitalRead(2);// read sensor value
  if (state == false)
  {
    delay(20);
    if (digitalRead(2) == HIGH)
    {
      SMTP.setEmail("آدرس ایمیل فرستنده").setPassword("پسورد").Subject("موضوع ایمیل").setFrom("ESP8266SMTP").setForGmail();            // simply sets port to 465 and setServer("smtp.gmail.com");

      if (SMTP.Send("آدرس ایمیل مقصد",  text))
      {
        //Email Recepient and its message
        Serial.println(F("Message sent")); //send confirm
      }
      else
      {
        Serial.print(F("Error sending message: "));
        Serial.println(SMTP.getError());
      }
    }
  }
}
